/*
 *  * Copyright © 2019 Pendo.io. All rights reserved.
 */

import 'package:flutter/services.dart';
// !! we ignore using relative imports only for known issue with logger.dart static filds
// ignore: prefer_relative_imports
import 'package:pendo_sdk/src/logger.dart';

class PendoChannel {
  static const MethodChannel _channel = const MethodChannel('pendo_sdk_channel_name');

  static Future<T?> invokeMethod<T>(String method, [ arguments ]) async {
    T? result = await _channel.invokeMethod(method, arguments);
    Logger.d('Channel: <$method> was called');
    return result;
  }
}
